Subject: [PATCH 0/4] Fix RTC for MPC8572DS and support RTC on MPC8610HPCD

From: Anton Vorontsov <[email-masked]>
Date: Thu, 12 Jun 2008 03:02:51 +0400

Hello Kumar,

The previous series scattered a bit, so I gathered it again.

I've found MPC8572DS board to test RTC quirk changes that I've made
for MPC8610HPCD, and it appears that without the change RTC does not
work on MPC8572DS, too.

So, the first patch actually fixes it for MPC8572DS, and also makes
RTC work on MPC8610HPCD. I still can't test the patch on MPC8641HPCD
and MPC8544DS (no boards handy), but I don't believe that the change
could break these boards.

I also dropped MACH_PCI_FIXUP_*() approach, and did just machine_is()s
inside the fixups. I think this looks better... as far as possible for
the board specific fixups. :-)

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2